# Detach numbers from an identity

Detaches numbers from an identity.

```http
DELETE https://api.pozy.ai/v1/branded-calling/identities/{id}/numbers
```

- Area: Phone & voice / Branded Calling
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `id` (string, required)

## Request body

Content type: `application/json`

- `phoneNumbers`, array of string, required: At least 1 item. Up to 100 items

## Example request

```bash
curl -X DELETE "https://api.pozy.ai/v1/branded-calling/identities/6bfebd43ddc270f6d2c56fc5/numbers" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "phoneNumbers": [
    "+14155550123"
  ]
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/branded-calling/identities/6bfebd43ddc270f6d2c56fc5/numbers", {
  method: "DELETE",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    phoneNumbers: [
      "+14155550123"
    ]
  }),
});
const text = await res.text();
const data = text ? JSON.parse(text) : null;
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.delete(
    "https://api.pozy.ai/v1/branded-calling/identities/6bfebd43ddc270f6d2c56fc5/numbers",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "phoneNumbers": [
            "+14155550123",
        ],
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `removed`, array of string

```json
{
  "removed": [
    "string"
  ]
}
```
